@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    background-color: #000;
    color: #eee;
    margin: 0;
    font-size: 12px; 
}

a{
    text-decoration: none;
    color:#eee;
}

header{
    width: 1140px;
    height: 50px;
    max-width: 80%;
    margin: auto;
    display: flex;
    justify-content: flex-start; /* Alterado de center para flex-start */
    align-items: center;
    position: relative;
    z-index: 100;
}

header a{
    margin-right: 40px;
}

.carousel{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    margin-top: -50px;
    position: relative;
}

.carousel .list .item{
    position: absolute;
    inset: 0 0 0 0;
}

.carousel .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel .list .item .content{
    position: absolute;
    top: 20%;
    width: 1140px;
    max-width: 80%;
    left: 50%; 
    transform: translateX(-50%);
    padding-right: 30%;
    box-sizing: border-box;
    color: #fff;
    text-shadow: 0 5px 10px #000;
}

.carousel .list .item .content .author{
    font-weight: bold;
    letter-spacing: 10px;
}

.carousel .list .item .content .title,
.carousel .list .item .content .topic{
    font-weight: bold;
    font-size: 5em;
    line-height: 1.3em;

}

.carousel .list .item .content .topic{
    color: #cf6807;
}

.carousel .list .item .content .buttons{
    display: grid;
    grid-template-columns: repeat(2, 130px);
    grid-template-rows: 40px;
    gap: 5px;
    margin-top: 20px;
}

.carousel .list .item .content button{
    border: none;
    background-color: #eee;
    letter-spacing: 3px;
    font-family: Poppins;
    font-weight: 500;
}

.carousel .list .item .content button:nth-child(2){
    background-color: transparent;
    color:#eee;
    border: 1px solid #eee;
}

/*thumbnail*/

.thumbnail{
    position: absolute;
    bottom: 50px;
    left: 50%;
    width: max-content;
    z-index: 100;
    display: flex;
    gap: 20px;
}

.thumbnail .item{
    width: 150px;
    height: 220px;
    flex-shrink: 0;
    position: relative;
}

.thumbnail .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.thumbnail .item .content{
    position: absolute;
    bottom: 10px;
    left: 10px;
    right: 10px;
}

.thumbnail .item .content .title{
    font-weight: bold;
}

/*arrow*/

.arrows{
    position: absolute;
    top: 80%;
    right: 52%;
    width: 300px;
    max-width: 30%;
    display: flex;
    gap: 10px;
    align-items: center;
}

.arrows button{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #eee4;
    border: none;
    font-family: monospace;
    color: #fff;
    font-weight: bold;
    font-size: large;
    transition: 0.5s;
    z-index: 100;
}

.arrows button:hover{
    background-color: #eee;
    color: #555;
}

.carousel .list .item:nth-child(1){
    z-index: 1;
}

.carousel .list .item:nth-child(1) .author,
.carousel .list .item:nth-child(1) .title,
.carousel .list .item:nth-child(1) .topic,
.carousel .list .item:nth-child(1) .des,
.carousel .list .item:nth-child(1) .buttons{
   transform:translateY(50px);
   filter: blur(20px);
   opacity: 0;
   animation: showContent 0.5s 1s linear 1 forwards;
}

@keyframes showContent {
    to{
        opacity: 1;
        filter: blur(0);
        transform: translateY(0);
    }
}

.carousel .list .item:nth-child(1) .title{
    animation-delay: 1.2s;
}

.carousel .list .item:nth-child(1) .topic{
    animation-delay: 1.4s;
}

.carousel .list .item:nth-child(1) .des{
    animation-delay: 1.6s;
}

.carousel .list .item:nth-child(1) .buttons{
    animation-delay: 1.8s;
}

/*Effect next click*/
.carousel.next .list .item:nth-child(1) img{
    width: 150px;
    height: 220px;
    position: absolute;
    left: 50%;
    bottom: 50px;
    border-radius: 20px;
    animation: showImage 0.5s linear 1 forwards;
}

@keyframes showImage {
    to{
        width: 100%;
        height: 100%;
        left: 0;
        bottom: 0;
        border-radius: 0;
    }
}

.carousel.next .thumbnail .item:nth-last-child(1){
    width: 0;
    overflow: hidden;
    animation: showThumbnail 0.5s linear 1 forwards;
}

@keyframes showThumbnail{
    to{
        width: 150px;
    }
}

.carousel.next .thumbnail{
    transform: translateX(150px);
    animation: transformThumbnail 0.5s linear 1 forwards;
}

@keyframes transformThumbnail{
    to{
       transform: translateX(0);
    }
}

/*Effect prev click*/
.carousel.prev .list .item:nth-child(2){
    z-index: 2; 
}

.carousel.prev .list .item:nth-child(2) img{
    position: absolute;
    bottom: 0;
    left: 0;
    animation: outImage 0.5s linear 1 forwards;
}

@keyframes outImage{
    to{
        width: 150px;
        height: 220px;
        border-radius: 20px;
        left: 50%;
        bottom: 50px;
    }
}

.carousel.prev .thumbnail .item:nth-child(1){
    width: 0;
    overflow: hidden;
    opacity: 0;
    animation: showThumbnail 0.5s linear 1 forwards;
}

.carousel.prev .list .item:nth-child(2) .author,
.carousel.prev .list .item:nth-child(2) .title,
.carousel.prev .list .item:nth-child(2) .topic,
.carousel.prev .list .item:nth-child(2) .desc,
.carousel.prev .list .item:nth-child(2) .buttons{
    animation: contentOut  1.5s linear 1 forwards;
}

@keyframes contentOut{
    to{
        transform: translateX(-150px);
        filter: blur(20px);
        opacity: 0;
    }
}

.carousel.next .arrows button, 
.carousel.prev .arrows button{
    pointer-events: none;
}

/*time*/
.time{
    width: 0%;
    height: 5px;
    background-color: #cf6807;
    position: absolute;
    z-index: 100;
    top: 0;
    left: 0;

}

.carousel.next .time,
.carousel.prev .time{
    width: 100%;
    animation: timeRunning 2s linear 1 forwards;

}

@keyframes timeRunning{
    to{
       width: 0; 
    }
}

@media screen and (max-width: 678px){
    .carousel .list .item .content{
        padding-right: 0;
    }
    .carousel .list .item .content .title{
        font-size: 30px;
    }
}












